Bug 396511 - Review Request: webcpp - Convert C++ code to HTML
Review Request: webcpp - Convert C++ code to HTML
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
All Linux
low Severity medium
: ---
: ---
Assigned To: Lubomir Rintel
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-11-23 06:11 EST by Michal Fabry
Modified: 2009-01-07 13:09 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-03-24 10:55:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
lkundrak: fedora‑review+
kevin: fedora‑cvs+

Attachments (Terms of Use)

  None (edit)
Description Michal Fabry 2007-11-23 06:11:47 EST
Spec URL: http://michal.fabry.sk/data/fedora/webcpp/webcpp.spec
SRPM URL: http://michal.fabry.sk/data/fedora/webcpp/webcpp-0.8.4-1.fc9.src.rpm

Web C Plus Plus is a command line utility that takes your source 
code, and converts it into an HTML file using a fully customizable 
syntax highlighting engine and colour schemes. This is useful if 
you want to post your code online and make it easier to read, or 
to make online programming tutorials.
Comment 1 Lubomir Kundrak 2007-11-23 06:18:34 EST
Taking this for a review.
Comment 2 Lubomir Kundrak 2007-11-23 06:20:05 EST
* Fri Nov 23 2007  <furby fedoraproject.org> - 0.8.4-1

This is incorrect Changelog format, it needs your name, like:

* Fri Nov 23 2007 Chrobak Truhlik <furby@fedoraproject.org> - 0.8.4-1
Comment 3 Lubomir Kundrak 2007-11-23 06:21:16 EST

Any reasons for not using %configure macro?
If there are some, please add a comment.
Comment 4 Lubomir Kundrak 2007-11-23 06:22:00 EST
%setup -n %{name}-%{version}-src

Setup should be quiet, like:

%setup -qn %{name}-%{version}-src
Comment 5 Lubomir Kundrak 2007-11-23 06:24:00 EST
Group:          Utility/TextTools

This is not a valid group.
Please look into /usr/share/doc/rpm-[0-9]*/GROUPS for a list of valid groups

I'd suggest either Development/Tools or Applications/Text

Please note that none of current tools use groups anyway
Comment 6 Michal Fabry 2007-11-23 06:54:17 EST
Spec file repaired and package rebuilded :)

Spec URL: http://michal.fabry.sk/data/fedora/webcpp/webcpp.spec
SRPM URL: http://michal.fabry.sk/data/fedora/webcpp/webcpp-0.8.4-2.fc9.src.rpm
Comment 7 Lubomir Kundrak 2007-11-23 06:58:32 EST
Wonderful. RPMlint is all silent, and all outstanding issues have been
addressed. Builds just fine in mock.

Comment 8 Parag AN(पराग) 2007-11-23 07:34:36 EST
  Are you also interested to sponsor the package submitter?  I see that he needs

you may like to see http://fedoraproject.org/wiki/PackageMaintainers/SponsorProcess
Comment 9 Lubomir Kundrak 2007-11-23 08:10:58 EST
Parag: I'd be glad to.
Comment 10 Parag AN(पराग) 2007-11-23 09:00:28 EST
Comment 11 Marek Mahut 2007-11-25 04:19:19 EST

But Lubomir is not a sponsor. 


Can you do it, if possible?
Comment 12 Parag AN(पराग) 2007-11-25 07:44:19 EST
(In reply to comment #11)
> Parag,
> But Lubomir is not a sponsor. 
> Can you do it, if possible?

well, If you ask me for sponsorship then I need to check if package submitter 
has posted at least few preliminary reviews or not to other's package review
requests? So that I will come to know that package submitter is knowing well
about packaging.
 If he has done it already then I will be glad to sponsor him. But I saw he has
only single package submission and no preliminary reviews done. So I think he
should start doing that. Till then he need to wait from my side.

Comment 13 Michal Fabry 2008-03-07 04:25:56 EST
New Package CVS Request
Package Name: webcpp
Short Description: Convert C++ code to HTML
Owners: furby
Branches: F-8
Cvsextras Commits: yes
Comment 14 Kevin Fenzi 2008-03-07 12:46:51 EST
cvs done.
Comment 15 Lubomir Kundrak 2008-03-24 10:39:35 EDT
Michal: Close this with NEXTRELEASE in case you build the package.

Note You need to log in before you can comment on or make changes to this bug.